Bug 167100 - HFS+ oops when writing to offline device
HFS+ oops when writing to offline device
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-08-30 06:21 EDT by Han-Wen Nienhuys
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-11 01:15:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output of dmesg, including boot log. (24.04 KB, text/plain)
2005-08-30 06:23 EDT, Han-Wen Nienhuys
no flags Details

  None (edit)
Description Han-Wen Nienhuys 2005-08-30 06:21:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; nl-NL; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:


for some reason my USB2 HD went offline during a backup. This produced
lots of

scsi0 (0:0): rejecting I/O to offline device
scsi0 (0:0): rejecting I/O to offline device
Buffer I/O error on device sda3, logical block 121

then I got an oops,

Unable to handle kernel NULL pointer dereference at virtual address 00000000

The call trace shows trouble in the HFS+ module; see kernel log for
more information. The disk is a toshiba 40gb 2.5" IDE in a Sitecom
enclosure. It's been formatted on a Mac with a HFS+ filesystem.

The system appeared stable but froze hard while trying to enter this bugreport.
I'm attaching the output of dmesg to this report.

Version-Release number of selected component (if applicable):

How reproducible:
Couldn't Reproduce

Additional info:
Comment 1 Han-Wen Nienhuys 2005-08-30 06:23:07 EDT
Created attachment 118244 [details]
output of dmesg, including boot log.
Comment 2 Han-Wen Nienhuys 2005-08-30 06:25:56 EDT
The machine is a DELL Optiplex GX60, Celeron 2.0 Ghz. 
Comment 3 Dave Jones 2005-09-30 02:58:16 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel ( As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Comment 4 Dave Jones 2005-11-10 15:04:25 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 5 Han-Wen Nienhuys 2005-11-10 19:01:36 EST

as the report says, this is a non-reprocible crash anyway, so let's close this
report for now.
Comment 6 Dave Jones 2005-11-11 01:15:23 EST
ok, thanks. 
feel free to reopen at any time (or file another bug) if it reoccurs.

Note You need to log in before you can comment on or make changes to this bug.